Package org.eclipse.jface.text.codemining

# Class LineEndCodeMining

java.lang.Object
org.eclipse.jface.text.codemining.AbstractCodeMining
org.eclipse.jface.text.codemining.LineContentCodeMining
org.eclipse.jface.text.codemining.LineEndCodeMining

All Implemented Interfaces:
  `ICodeMining`

public abstract class LineEndCodeMining extends LineContentCodeMining
A code mining that is positioned on end of a line.

Since:
  3.20

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LineEndCodeMining(IDocument document, int line, ICodeMiningProvider provider)`

## Method Summary

### Methods inherited from class org.eclipse.jface.text.codemining.AbstractCodeMining

`dispose, doResolve, draw, getAction, getLabel, getPosition, getProvider, isResolved, resolve, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineEndCodeMining

protected LineEndCodeMining(IDocument document, int line, ICodeMiningProvider provider) throws BadLocationException

Throws:
  `BadLocationException`